Commit 8d6e6575 authored by Daniele Venzano's avatar Daniele Venzano

Add pypi badges

parent a1af62c7
...@@ -7,5 +7,5 @@ install: ...@@ -7,5 +7,5 @@ install:
before_script: before_script:
- bash tests/resources/create_db.sh - bash tests/resources/create_db.sh
script: script:
- PYTHONPATH=. py.test --test-environment travis - PYTHONPATH=. py.test --test-environment travis --cov=zoe_scheduler --cov=zoe_client --cov=zoe_web
- sphinx-build -nW -b html -d docs/_build/doctrees docs/ docs/_build/html - sphinx-build -nW -b html -d docs/_build/doctrees docs/ docs/_build/html
...@@ -23,10 +23,14 @@ Resources: ...@@ -23,10 +23,14 @@ Resources:
- Docker images: - Docker images:
https://github.com/DistributedSystemsGroup/zoe-docker-images https://github.com/DistributedSystemsGroup/zoe-docker-images
|Documentation Status| |Requirements Status| |Pypi version| |Python version| |Documentation Status| |Requirements Status|
Zoe is licensed under the terms of the Apache 2.0 license. Zoe is licensed under the terms of the Apache 2.0 license.
.. |Pypi version| image:: https://img.shields.io/pypi/v/zoe-analytics.svg
:target: https://pypi.python.org/pypi/zoe-analytics
.. |Python version| image:: https://img.shields.io/pypi/pyversions/Zoe.svg
:target: https://pypi.python.org/pypi/zoe-analytics
.. |Documentation Status| image:: https://readthedocs.org/projects/zoe-analytics/badge/?version=latest .. |Documentation Status| image:: https://readthedocs.org/projects/zoe-analytics/badge/?version=latest
:target: https://readthedocs.org/projects/zoe-analytics/?badge=latest :target: https://readthedocs.org/projects/zoe-analytics/?badge=latest
.. |Requirements Status| image:: https://requires.io/github/DistributedSystemsGroup/zoe/requirements.svg?branch=master .. |Requirements Status| image:: https://requires.io/github/DistributedSystemsGroup/zoe/requirements.svg?branch=master
......
...@@ -80,8 +80,8 @@ setup( ...@@ -80,8 +80,8 @@ setup(
# for example: # for example:
# $ pip install -e .[dev,test] # $ pip install -e .[dev,test]
extras_require={ extras_require={
'dev': ['Sphinx'], 'dev': ['Sphinx', 'wheel', 'twine'],
'test': ['coverage', 'pytest'], 'test': ['pytest-cov', 'pytest'],
}, },
# If there are data files included in your packages that need to be # If there are data files included in your packages that need to be
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment